package com.ruoyi.system.mapper.visit;

import com.ruoyi.system.domain.visit.VisitPlanUser;
import com.ruoyi.system.domain.visit.VisitPlanUserExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface VisitPlanUserMapper {
    long countByExample(VisitPlanUserExample example);

    int deleteByExample(VisitPlanUserExample example);

    int deleteByPrimaryKey(String id);

    int insert(VisitPlanUser record);

    int insertSelective(VisitPlanUser record);

    List<VisitPlanUser> selectByExample(VisitPlanUserExample example);

    VisitPlanUser selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") VisitPlanUser record, @Param("example") VisitPlanUserExample example);

    int updateByExample(@Param("record") VisitPlanUser record, @Param("example") VisitPlanUserExample example);

    int updateByPrimaryKeySelective(VisitPlanUser record);

    int updateByPrimaryKey(VisitPlanUser record);
}
